/*******************************************************************************
	
		BGT_US.do
		2.21.2022
		Preliminary build file for:
		"Values and Inequality"
		Nathan Wilmers and Letian Zhang

*******************************************************************************/
*-------------------------------------------------------------------------------
* SECTION 1. Save prosocial keyword count as Stata file
*-------------------------------------------------------------------------------

import delimited using career_meaning_keyword_count.csv, varnames(1)
save data/career_meaning_keyword_count.dta, replace

*-------------------------------------------------------------------------------
* SECTION 2. Append together all BGT data years
*-------------------------------------------------------------------------------

local filenames: dir "aUS2014" files "*.txt"
tempfile BG
save `BG',emptyok

foreach f of local filenames {
clear
import delimited using `"`f'"', stringcols(2)
append using `BG'
save `"`BG'"', replace
}
keep if minsalary~=.

*-------------------------------------------------------------------------------
* SECTION 3. Merge and save
*-------------------------------------------------------------------------------

merge 1:1 bgtjobid using data/career_meaning_keyword_count.dta, nogen keep(3)

// Save file without wages
save data/BG_Wage_0719.dta
