* calculating service score for each university
use data/service_university_1819.dta
* calculate the total number of rank points per category-year
by category year: egen total_points=count(Servicerank)
* calculate the service score for each university by reverse coding its rank points
gen service_score_year=1-Servicerank/total_points
* take the average value for each university across all years
bys unitid: egen service_score=mean(service_score_year)
* keep one observation per university
bys unitid: gen delete3=_n
keep if delete3==1
keep unitid service_score



* table for prosocial paper with Nate
* use proprietary resume data from BGT
* firstyear: the first year an individual enters the workforce
* firm_prosocial_medium2: the firm's prosocial level, measured by the proportion of job postings mentioning prosocial phrases.
* tenure3: years in the workforce
* consolidatedtitleonet2 is the ONET value and msa1 is the MSA value; bgtresid is a unique ID for each individual in our data.
eststo clear
reg firm_prosocial_medium2 service_score tenure3 women i.year if firstyear>1999, cluster(bgtresid)
est store e1
reghdfe firm_prosocial_medium2 service_score tenure3 women i.year if firstyear>1999, a(msa1 consolidatedtitleonet2) cluster(bgtresid)
est store e2
reg firm_prosocial_medium2 service_score tenure3 women i.year if firstyear>2009, cluster(bgtresid)
est store e3
reghdfe firm_prosocial_medium2 service_score tenure3 women i.year if firstyear>2009, a(msa1 consolidatedtitleonet2) cluster(bgtresid)
est store e4

estadd local yfixed "Yes", replace: e1 e2 e3 e4
estadd local msafixed "Yes", replace: e2 e4
estadd local occfixed "Yes", replace: e2 e4

esttab e1 e2 e3 e4 using prosocial_resume_lt.tex, replace label se r2 wrap width(\hsize) ///
title("\label{tab:resume_lt} Linear Models Predicting the Prosocial Level in the Firm Joined") ///
mgroups("2000-18" "2010-18", pattern(1 0 1 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span})) ///
nomtitles keep(service_score tenure3 women) ///
order(service_score tenure3 women) ///
scalar("hello Fixed effects:" ///
"yfixed Year" ///
"msafixed MSA" ///
"occfixed ONET Occupation" ///
)
