
// Skills
use bgtjobid skill using "allskill_wage_0719.dta" if wage!=1, clear

// Drop any jobs with "na"
drop if skill=="na"

// Limit to usable subset
fmerge m:1 bgtjobid using usable_bgtjobid.dta, keep(3) nolabel nonotes nogen

// Encode skill, to save space
encode skill, gen(skilln)
drop skill
rename skilln skill
compress

// Sort
fsort bgtjobid skill

// Drop jobs with big numbers of skills
by bgtjobid: gen skilltotal=_N
gen anybig=skilltotal>=50
tab anybig
drop if anybig
drop anybig skilltotal

// Restructure data: skills as columns
by bgtjobid: gen skillcount=_n
sum skillcount
forval x=1/`r(max)' {
gen sku`x't=skill if skillcount==`x'
by bgtjobid: gegen sku`x'=max(sku`x't)
drop sku`x't
}

// Make skill groups; crucial to include missing/blank as a category
gegen skillcombo=group(sku*), missing
codebook skillcombo

// Shrink for save
keep bgtjobid skillcombo
by bgtjobid: gen count=_n
keep if count==1

// Save 
compress
save data/skillcombo.dta, replace



