/*******************************************************************************
	
		master.do
		2.21.2022
		Master file for:
		"Values and Inequality"
		Nathan Wilmers and Letian Zhang

*******************************************************************************/

global full_run 1

* Edit these for partial run or set full_run to 1
global build_bgt 0
global build_skill 0
global build_other 0
global build_bg 1
global analysis_bg 0
global analysis_gss	0
global analysis_resumes 0
global analysis_gd 0
global analysis_experiment 0

set linesize 200 

cap log close                   
global start_time = "${S_TIME}"

*** Set directory to repkit **************************************
cd "/Users/wilmers/Dropbox (MIT)/stata/bg/repkit"   
******************************************************************

* Install needed Stata packages
do code/stata_setup.do 

if ($build_bgt | $full_run)  do code/BGT_US.do // First run prosocial_word_search.py
if ($build_skill | $full_run)  do code/build_skillcombo.do
if ($build_other | $full_run)  do code/build_other.do
if ($build_bg | $full_run)     do code/build_bg.do
if ($analysis_bg | $full_run)  do code/analysis_bg.do
if ($analysis_gss | $full_run) do code/analysis_gss_issp.do
if ($analysis_resumes | $full_run)       do code/analysis_resumes.do
if ($analysis_gd | $full_run)  do code/build_skillcombo_gd.do
if ($analysis_gd | $full_run)  do code/robust_bg_gd.do
if ($analysis_exp | $full_run)  do code/analysis_experiment.do

display "Start time: $start_time"
display "End time: ${S_TIME}" 
